import {
  request
} from "./index.js";

// 数据字典查询
export const reqDictionary = (postData) =>
  request({
    url: "/common/common/getDictionary",
    data: postData,
    method: 'POST'
  });

// 用户登录接口
export const reqLogin = (postData) =>
  request({
    url: "/auth/login",
    data: postData,
    method: 'POST'
  });

// 首页查看急标和普标数量
export const reqSpecimenWorkOrderMsg = (postData) =>
  request({
    url: "/nurse/getSpecimenWorkOrderMsg",
    data: postData,
    method: 'POST'
  });

// 首页快捷工单（其他临床服务任务类型）
export const reqDeptTaskType = (postData) =>
  request({
    url: "/nurse/getDeptTaskType",
    data: postData,
    method: 'POST'
  });

// 获取动态二维码
export const reqDeptCodes = (postData) =>
  request({
    url: "/dept/deptCodes/0",
    data: postData,
    method: 'POST'
  });

// fetchDataList查询（通用）
export const reqFetchDataList = (type, target, postData) =>
  request({
    url: `/${type}/fetchDataList/${target}`,
    data: postData,
    method: 'POST'
  });

// 获取一键建单所需的信息
export const reqBuildTrip = (postData) =>
  request({
    url: '/nurse/workOrder/buildTrip',
    data: postData,
    method: 'POST'
  });

// 获取一键建单所需的历史输入信息
export const reqRecentRemarks = (postData) =>
  request({
    url: '/nurse/workOrder/recentRemarks',
    data: postData,
    method: 'POST'
  });

// 建单
export const reqBuildOrder = (postData) =>
  request({
    url: '/api/startOrder',
    data: postData,
    method: 'POST'
  });

// 切换院区
export const reqChangeHospital = (postData) =>
  request({
    url: '/auth/changeHospital',
    data: postData,
    method: 'POST'
  });

// 更新操作
export const reqUpdData = (type, target, postData) =>
  request({
    url: `/${type}/updData/${target}`,
    data: postData,
    method: 'POST'
  });

// 获取当前用户登录信息
export const reqGetCurrentUser = () =>
  request({
    url: '/user/data/getCurrentUser',
  });
