import {
  reqFetchDataList
} from "@/request/api.js";
import cloneDeep from 'lodash/cloneDeep'
const stateReset = {
  systemInfo: {},
};
const state = cloneDeep(stateReset);
const getters = {};
const mutations = {
  // 重置字典数据
  resetVxSystem(state) {
    Object.assign(state, cloneDeep(stateReset))
  },
  // 获取数据
  vxSystem(state, args) {
    state.systemInfo[args.key] = args.data;
  },
};
const actions = {
  // 获取字典数据
  async vxSystem({
    commit,
    state
  }, args) {
    if (state.systemInfo[args.systemConfiguration.keyconfig]) {
      //如果存在
      return await Promise.resolve(state.systemInfo[args.systemConfiguration.keyconfig]);
    } else {
      let result = await reqFetchDataList('simple/data', 'systemConfiguration', args);
      if (result.status == 200) {
        commit("vxSystem", {
          key: args.systemConfiguration.keyconfig,
          data: result
        });
      }
      return result;
    }
  },
};
export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions,
};
